Package org.linphone.mediastream.video.capture.hwconf

# Class AndroidCameraConfiguration

java.lang.Object
org.linphone.mediastream.video.capture.hwconf.AndroidCameraConfiguration

public class AndroidCameraConfiguration extends Object
Entry point for accessing hardware cameras configuration. Different SDK implementations are delegated to specific AndroidCameraConfN versions.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AndroidCameraConfiguration.AndroidCamera`
Default: no front; rear=0; default=rear

## Constructor Summary

Constructors
Constructor
Description
`AndroidCameraConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`hasFrontCamera()`
`static boolean`
`hasSeveralCameras()`
`static AndroidCameraConfiguration.AndroidCamera[]`
`retrieveCameras()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AndroidCameraConfiguration

public AndroidCameraConfiguration()

## Method Details

### retrieveCameras

public static AndroidCameraConfiguration.AndroidCamera[] retrieveCameras()

### hasSeveralCameras

public static boolean hasSeveralCameras()

### hasFrontCamera

public static boolean hasFrontCamera()